%global with_python3 0
%global srcname requests-toolbelt
%global altname requests_toolbelt

Name:           python-%{srcname}
Version:        0.8.0
Release:        1%{?dist}
Summary:        Utility belt for advanced users of python-requests

License:        ASL 2.0
URL:            https://toolbelt.readthedocs.org/
Source0:        https://github.com/sigmavirus24/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-mock
BuildRequires:  python-betamax
BuildRequires:  python-requests
Requires:       python-requests

%description
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{summary}
License:        ASL 2.0
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-mock
BuildRequires:  python3-betamax
BuildRequires:  python3-requests
Requires:       python3-requests
%endif

%if 0%{?with_python3}
%description -n python3-%{srcname}
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%endif

%prep
%autosetup -n toolbelt-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python-%{srcname}
%license LICENSE
%doc README.rst HISTORY.rst
%{python2_sitelib}/%{altname}/
%{python2_sitelib}/%{altname}-*.egg-info/

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst HISTORY.rst
%{python3_sitelib}/%{altname}/
%{python3_sitelib}/%{altname}-*.egg-info/
%endif


%changelog
* Wed Jan 24 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.8.0-1
- Update to 0.8.0 version

* Thu Jan 28 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.6.0-1
- update to 0.6.0 release

* Wed Dec 23 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.0-1
- Update to 0.4.0

* Fri Feb 13 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-2
- Add missing LICENSE file

* Mon Feb 02 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-1
- Initial packaging

